
set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit&dump.str"
  mode="none"
}]

SclPause 1

set status [ SclFunction "RECALL ANY FILE" {
  file="pit_dump_road_centreline.str"
  mode="none"
}]

set status [ SclFunction "ZOOM OUT" {} ]

set status [ SclFunction "MODE INSERT" {} ]

set status [ SclFunction "DRAW NUMBERS" {
  frm00089={
    {
      _action="display"
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      layer_name="pit_dump_road_centreline.str"
    }
  }
}]

set status [ SclFunction "CURVE TANGENT" {
  select_point=table { winx winy objectx objecty objectz } {
    { "0.183" "-0.302" "130.094" "998.691" "997.810" }
    { "0.083" "-0.484" "96.815" "963.395" "997.810" }
    { "0.063" "-0.445" "90.260" "970.959" "997.810" }
    { "-0.090" "0.274" "39.334" "1110.125" "997.810" }
  }
  frm00058={
    {
      _action=display
      radius="20"
      arcdist="2"
      curve_type="internal"
      use_transition="N"
    }
  }
}]

set status [ SclFunction "ERASE NUMBERS" {
  frm00089={
    {
      _action="display"
      range1=""
      range2=""
      range3=""
      textalignment="<"
      layer_name="pit_dump_road_centreline.str"
    }
  }
}]

set status [ SclFunction "DESIGN STRING" {
  frm00071={
    {
      _action=display
      idesign_string="9"
    }
  }
}]


set status [ SclFunction "MAKE PILLARS" {
  frm00202={
    {
      _action=display
      cl_string_range="1"
      ifldnum="1"
      road_width="20"
      width_from_desc="N"
    }
  }
}]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      _action=display
      AutoCAD={
        version="Autocad 18"
      }
      output_file="surpac2str:pit_dump_road"
      outputExt=".str"
      saveStyle="N"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac String Files"
    }
  }
}]

puts ""
puts ""
puts "macro 1b_curve_tangent.tcl sucessfully completed."
puts ""